# $Revision: 1.12 $, $Date: 2012/05/25 13:06:10 $
Summary:	UFconfig development files
Summary(pl.UTF-8):	Pliki programistyczne UFconfig
Name:		UFconfig
Version:	3.7.1
Release:	1
License:	no restrictions
Group:		Development
Source0:	http://www.cise.ufl.edu/research/sparse/UFconfig/%{name}-%{version}.tar.gz
# Source0-md5:	145b8126b7ee957d1ea6b401be0bf798
Patch0:		%{name}-config.patch
Patch1:		%{name}-shared.patch
URL:		http://www.cise.ufl.edu/research/sparse/UFconfig/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
UFconfig is required by nearly all sparse matrix packages that are
authored by Timothy A. Davis.

%description -l pl.UTF-8
UFconfig jest wymagany przez prawie wszystkie pakiety do obliczeń na
macierzach rzadkich autorstwa Timothy'ego A. Davisa.

%package libs
Summary:	UFconfig shared library
Summary(pl.UTF-8):	Biblioteka współdzielona UFconfig
Group:		Libraries

%description libs
UFconfig shared library, containing malloc/free wrappers.

%description libs -l pl.UTF-8
Biblioteka współdzielona UFconfig, zawierająca funkcje obudowujące
malloc/free.

%package devel
Summary:	Development files for UFconfig library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki UFconfig
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Development files for UFconfig library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki UFconfig.

%package static
Summary:	UFconfig static library
Summary(pl.UTF-8):	Biblioteka statyczna UFconfig
Group:		Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
UFconfig static library.

%description static -l pl.UTF-8
Biblioteka statyczna UFconfig.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	INSTALL_LIB=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir},%{_datadir}/misc}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL_LIB=%{_libdir}

cp -a UFconfig.mk $RPM_BUILD_ROOT%{_datadir}/misc

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.txt
%{_includedir}/UFconfig.h
%{_datadir}/misc/UFconfig.mk

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libufconfig.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libufconfig.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libufconfig.so
%{_libdir}/libufconfig.la

%files static
%defattr(644,root,root,755)
%{_libdir}/libufconfig.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: UFconfig.spec,v $
Revision 1.12  2012/05/25 13:06:10  qboosh
- updated to 3.7.1

Revision 1.11  2012/01/09 16:01:33  qboosh
- added INSTALL_{LIB,INCLUDE} adjustment to config patch
- added shared patch
- libufconfig library (-libs/-devel/-static subpackages); basic package still contains just
  make macros and header file (still useful without library)

Revision 1.10  2011/12/31 16:56:00  qboosh
- updated to 3.7.0
- updated config patch

Revision 1.9  2011/05/28 05:17:52  qboosh
- updated to 3.6.1
- more accurate license information

Revision 1.8  2011/01/27 18:33:02  qboosh
- updated to 3.6.0

Revision 1.7  2010/10/13 06:48:04  qboosh
- updated to 3.5.0
- updated config patch

Revision 1.6  2009/01/23 11:26:31  duddits
- up to 3.2.0
- config.patch updated

Revision 1.5  2008/01/04 21:21:41  qboosh
- updated to 3.1.0
- updated config patch

Revision 1.4  2007-12-07 17:23:25  baggins
- rel 2

Revision 1.3  2007-12-07 01:35:26  baggins
- rel 1
- fix config wrt blas, fortran and metis

Revision 1.2  2007/03/30 11:48:14  qboosh
- pl

Revision 1.1  2007/03/26 22:26:44  glen
- new
